# open this flag when test fixed
%bcond_with test

Summary:        Javascript Bindings for GNOME
Name:           gjs
Version:        1.84.1
Release:        1%{?dist}
License:        MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:            https://wiki.gnome.org/Projects/Gjs
%global mainver %(echo %version | cut -d '.' -f 1,2)
Source0:        https://download.gnome.org/sources/gjs/%{mainver}/gjs-%{version}.tar.xz

BuildRequires:  gcc-c++ meson gettext readline-devel xorg-x11-server-Xvfb gtk3
BuildRequires:  pkgconfig(cairo-gobject) pkgconfig(gio-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) mozjs-devel pkgconfig(sysprof-capture-4)
BuildRequires:  /usr/bin/dbus-run-session

Requires: glib2 gobject-introspection mozjs >= 128

%description
Gjs allows using GNOME libraries from Javascript. It's based on the Spidermonkey Javascript engine from
Mozilla and the GObject introspection framework.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package tests
Summary: Tests for the gjs package
Requires: %{name} = %{version}-%{release}

%description tests
The gjs-tests package contains tests that can be used to verify the functionality of the installed gjs package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%if %{with test}
%{shrink:xvfb-run -s "-screen 0 1600x1200x24" %meson_test --timeout-multiplier=5}
%endif

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/gjs
%{_bindir}/gjs-console
%{_libdir}/gjs/
%{_libdir}/libgjs.so.0*

%files devel
%doc examples/*
%{_includedir}/gjs-1.0
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/libgjs.so
%dir %{_datadir}/gjs-1.0
%{_datadir}/gjs-1.0/lsan/
%{_datadir}/gjs-1.0/valgrind/

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml
%{_datadir}/installed-tests/

%changelog
* Wed Mar 26 2025 Zhao Zhen <jeremiazhao@tencent.com> - 1.84.1-1
- updated to upstream 1.84.1 for adapting new version mozjs

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.74.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.74.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.74.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.74.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.74.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 1.74.1-1
- initial build
